package com.sg.answer.sg;

import com.sg.answer.entity.JobTypeEntity;

import java.util.*;
import java.util.regex.Pattern;

/**
 * Created by Administrator on 2020/3/14.
 */
public class Constant {
    /**答题系统服务地址*/
//    public final static String API = "http://1.85.1.34:8023/index";
    public final static String API = "http://117.39.28.234:8023/index/";
//    public final static String MOBILE_API_URL = "http://117.39.28.234:8023/mobile/";
    public final static String SERVER_IP = "http://117.39.28.234:8023/";
    /**所有关数*/
    public static Map<Integer,Object> gkNum = new HashMap<>(20);
    /**1-10关对应的题干数量*/
    public static Map<Integer,Integer> answerNum = new HashMap<>(20);
    /**难度*/
    public static Map<String,Integer> level = new LinkedHashMap<>(20);
    /**题干以及答案*/
    public static List<String> stemList = new ArrayList<>();
    /**工种集合*/
    public static List<JobTypeEntity> jobTypeList = new ArrayList<>();
    /*******************************正则表达式**********************************************************************************************/
    public static final Pattern USER_NAME_PATTERN =
            Pattern.compile("<li>姓名：(.*?)</li>", Pattern.DOTALL);
    public static final Pattern JOB_PATTERN =
            Pattern.compile("<li>职务：(.*?)</li>", Pattern.DOTALL);
    /**积分、砖石、金币*/
    public static final Pattern INFO_PATTERN =
            Pattern.compile("<strong>(\\d+\\.?\\d*)</strong>");
    /**头像地址*/
    public static final Pattern AVATAR_PATTERN =
            Pattern.compile("<img[^>]*src=[\"']([^\"']*?avatar[^\"']*?)[\"']", Pattern.CASE_INSENSITIVE);
    /**当前闯关记录关卡*/
    public static final Pattern PASS_PATTERN =
            Pattern.compile("<li[^>]*class=\"bg_brown\"[^>]*>(<a[^>]*>(<i[^>]*>.*?</i>|.)*?</a>|.)*?</li>");
    public static final Pattern TIME_PATTERN =
            Pattern.compile("<p>[今][日][剩][余][时][间].*?</p>");

    static {
        jobTypeList.add(new JobTypeEntity("产品质量检查工",1,0));
        jobTypeList.add(new JobTypeEntity("电工",2,30));
        jobTypeList.add(new JobTypeEntity("电焊工",3,60));
        jobTypeList.add(new JobTypeEntity("精整工",4,90));
        jobTypeList.add(new JobTypeEntity("连铸工",5,120));
        jobTypeList.add(new JobTypeEntity("钳工",6,150));
        jobTypeList.add(new JobTypeEntity("天车工",7,180));
        jobTypeList.add(new JobTypeEntity("自动化控制",9,240));
        jobTypeList.add(new JobTypeEntity("轧钢工",10,270));
        jobTypeList.add(new JobTypeEntity("质量知识题库",11,300));
        jobTypeList.add(new JobTypeEntity("转炉炼钢工",12,330));
        jobTypeList.add(new JobTypeEntity("党史",13,360));
        jobTypeList.add(new JobTypeEntity("高炉工长",14,390));
        jobTypeList.add(new JobTypeEntity("高炉炼铁工",15,420));
        jobTypeList.add(new JobTypeEntity("高炉炉前工",16,450));
        jobTypeList.add(new JobTypeEntity("烧结工",17,480));
        jobTypeList.add(new JobTypeEntity("烧结原料工",18,510));
        jobTypeList.add(new JobTypeEntity("安全",19,540));
    }
    static {
        gkNum.put(1,"一");
        gkNum.put(2,"二");
        gkNum.put(3,"三");
        gkNum.put(4,"四");
        gkNum.put(5,"五");
        gkNum.put(6,"六");
        gkNum.put(7,"七");
        gkNum.put(8,"八");
        gkNum.put(9,"九");
        gkNum.put(10,"十");
        gkNum.put(11,"十一");
        gkNum.put(12,"十二");
        gkNum.put(13,"十三");
    }
    static {
        answerNum.put(1,10);
        answerNum.put(2,20);
        answerNum.put(3,30);
        answerNum.put(4,40);
        answerNum.put(5,50);
        answerNum.put(6,60);
        answerNum.put(7,70);
        answerNum.put(8,80);
        answerNum.put(9,90);
        answerNum.put(10,100);
        answerNum.put(11,80);
        answerNum.put(12,90);
        answerNum.put(13,100);
    }

    static {
        level.put("险中求胜",3);
        level.put("争分夺秒",2);
        level.put("风云初动",1);
    }

    static {
        stemList.add("id=41572&answer=%E5%AF%B9");
        stemList.add("id=78311&answer=%E9%94%99");
        stemList.add("id=53461&answer=%E5%AF%B9");
        stemList.add("id=52275&answer=ABCD");
        stemList.add("id=52481&answer=ABC");
        stemList.add("id=53092&answer=%E9%94%99");
        stemList.add("id=52481&answer=ABC");
        stemList.add("id=90847&answer=B");
        stemList.add("id=90846&answer=C");
        stemList.add("id=90845&answer=D");
        stemList.add("id=81730&answer=ABD");
        stemList.add("id=81729&answer=ABCD");
        stemList.add("id=81712&answer=BCD");
        stemList.add("id=86316&answer=%E5%AF%B9");
        stemList.add("id=86311&answer=%E9%94%99");
        stemList.add("id=117498&answer=A");
        stemList.add("id=117494&answer=C");
        stemList.add("id=119028&answer=AB");
        stemList.add("id=119027&answer=BCD");
        stemList.add("id=119026&answer=ABC");
        stemList.add("id=119025&answer=ABCD");
        stemList.add("id=119015&answer=ABC");
        stemList.add("id=119013&answer=ABC");
        stemList.add("id=119009&answer=AB");
        stemList.add("id=97626&answer=%E5%AF%B9");
        stemList.add("id=97625&answer=%E9%94%99");
        stemList.add("id=97621&answer=%E9%94%99");
        stemList.add("id=97620&answer=%E5%AF%B9");
        stemList.add("id=97619&answer=%E5%AF%B9");
        stemList.add("id=97617&answer=%E5%AF%B9");
        stemList.add("id=97614&answer=%E5%AF%B9");
        stemList.add("id=97611&answer=%E5%AF%B9");
        //党史
        stemList.add("id=58826&answer=D");
        stemList.add("id=58825&answer=C");
        stemList.add("id=58824&answer=A");
        stemList.add("id=58823&answer=C");
        stemList.add("id=58822&answer=B");
        stemList.add("id=58821&answer=B");
        stemList.add("id=58809&answer=B");
        stemList.add("id=58808&answer=D");
        //轧钢工
        stemList.add("id=142813&answer=AD");
        stemList.add("id=142812&answer=ABC");
        stemList.add("id=142811&answer=ABC");
        stemList.add("id=142809&answer=ABCD");
        stemList.add("id=142804&answer=BC");
        stemList.add("id=142803&answer=ABC");
        stemList.add("id=142802&answer=ABCD");
        stemList.add("id=142798&answer=AB");
        stemList.add("id=142797&answer=BCD");
        stemList.add("id=142794&answer=ABC");

        stemList.add("id=58826&answer=A");
        stemList.add("id=58826&answer=A");
        stemList.add("id=58826&answer=B");
        stemList.add("id=58826&answer=B");
        stemList.add("id=58826&answer=C");
        stemList.add("id=58826&answer=C");
        stemList.add("id=58809&answer=A");
        stemList.add("id=58809&answer=A");
        stemList.add("id=58809&answer=C");
        stemList.add("id=58809&answer=B");



    }

}
