package com.sg.answer.sg;


/**
 * Created by Administrator on 2020/3/29.
 */
public enum ErrorCode {

    TIME_Limit(10001,"答题时间已用尽"),
    RESULT_EMPTY(10002,"结果为空"),
    SORCE_LIMT(10003,"已到达自定义分数上上限"),
    LEVEL_NOT_UNLOCKED(10004,"当前管卡未解锁"),
    STOP_ANSWER(10005,"结束刷题"),
    PASSWORD_ERROR(10006,"账号密码错误"),
    LOGOUT(10007,"账号已在其他设备登录，请重新登录"),
    REQUEST_ERROR(10008,"用户数据请求失败"),
    PARSE_ERROR(10009,"数据解析错误"),
    ;
    private int  code;
    private String  name;

    ErrorCode(int code, String name) {
        this.code = code;
        this.name = name;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
