package com.sg.answer.sg;

import com.sg.answer.utils.GetNetworkTime;
import com.sg.answer.utils.LocalMac;
import org.apache.commons.logging.LogFactory;
import org.apache.http.NameValuePair;
import org.apache.http.client.CookieStore;
import org.apache.http.client.entity.UrlEncodedFormEntity;
import org.apache.http.client.methods.HttpPost;
import org.apache.http.cookie.Cookie;
import org.apache.http.impl.client.BasicCookieStore;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;
import org.apache.http.message.BasicNameValuePair;

import javax.swing.*;
import java.net.InetAddress;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.*;

/**
 * @author 王玉鹏
 * @version 1.0
 * @className SgController
 * @description TODO
 * @date 2019/6/28 10:43
 */
public class SgController {


    /**
     * @author wangyupeng
     * @description 登陆
     * @date  2019/7/5 15:40
     * @param url, map, charset]
     * @return org.apache.http.client.CookieStore
     */
    public static CookieStore doPost(String url, Map<String, String> map, String charset) {
        CloseableHttpClient httpClient = null;
        HttpPost httpPost = null;
        String result = null;
        CookieStore cookieStore = new BasicCookieStore();
        try {
            httpClient = HttpClients.custom().setDefaultCookieStore(cookieStore).build();
            httpPost = new HttpPost(url);
            httpPost.setHeader(
                    "User-Agent",
                    "Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/41.0.2272.118 Safari/537.36");
            List<NameValuePair> list = new ArrayList<>();
            Iterator<Map.Entry<String, String>> iterator = map.entrySet().iterator();
            while (iterator.hasNext()) {
                Map.Entry<String, String> elem = iterator.next();
                list.add(new BasicNameValuePair(elem.getKey(), elem.getValue()));
            }
            if (list.size() > 0) {
                UrlEncodedFormEntity entity = new UrlEncodedFormEntity(list, charset);
                httpPost.setEntity(entity);
            }
            httpClient.execute(httpPost);
            String HyGHnOvkdQZ0y = null;
            String safetycode = null;
            List<Cookie> cookies = cookieStore.getCookies();
            for (int i = 0; i < cookies.size(); i++) {
                if (cookies.get(i).getName().equals("BJ83T0U0lFrKq1")) {
                    HyGHnOvkdQZ0y = cookies.get(i).getValue();
                }
                if (cookies.get(i).getName().equals("safetycode1")) {
                    safetycode = cookies.get(i).getValue();
                }
            }
            if (HyGHnOvkdQZ0y != null) {
                result = "BJ83T0U0lFrKq1="+HyGHnOvkdQZ0y+";safetycode1="+safetycode;
            }
        } catch (Exception ex) {
            ex.printStackTrace();
        }
        return cookieStore;
    }
    /**
     * @author wangyupeng
     * @description 授权认证
     * @date  2019/7/5 15:31
     * @return java.lang.Boolean
     */
    public static Boolean  auth(){
        String mac="";
        Boolean fac=false;
/*        List<String> macs = new ArrayList<>();
        macs.add("8C-EC-4B-7D-ED-1F");
        macs.add("00-E0-4C-2F-63-44");
        macs.add("9C-DA-3E-98-FF-49");
        macs.add("14-DD-A9-E0-F8-16");
        macs.add("60-EE-5C-C2-BC-7A");
        macs.add("00-50-56-C0-00-01");
        macs.add("8C-EC-4B-7D-ED-1F");
        //新笔记本电脑MAC
        macs.add("98-2C-BC-75-28-D0");
        try {
            InetAddress ia = InetAddress.getLocalHost();
            mac= LocalMac.getLocalMac(ia);
            System.out.println(ia);
        } catch (Exception e) {
            JOptionPane.showMessageDialog(null, "网络繁忙" ," 网络繁忙", JOptionPane.ERROR_MESSAGE);
            e.printStackTrace();
        }
        System.out.println(mac);
        if (!macs.contains(mac)){
            JOptionPane.showMessageDialog(null, "未授权" ," 授权", JOptionPane.ERROR_MESSAGE);
            return false;
        }else {
            fac=true;
        }*/
        try {
            Long currentNetTime=GetNetworkTime.getWebsiteDatetimeActiveLong("http://www.taobao.com");
            Long expireTime= new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").parse("2025-06-05 00:00:00").getTime();
            long  dayTime=360L*24L*60L*60L*1000L;
            if (currentNetTime<=expireTime+dayTime){
                fac=true;
            }else {
                fac=false;
                JOptionPane.showMessageDialog(null, "授权时间已过期" ," 授权", JOptionPane.ERROR_MESSAGE);
            }
        } catch (ParseException e) {
            e.printStackTrace();
        }

        return fac;
    }

    public void setLoglevel(){
        // 设置默认工厂类
        System.setProperty("org.apache.commons.logging.LogFactory", "org.apache.commons.logging.impl.LogFactoryImpl");
        // 设置日志打印类
        LogFactory.getFactory().setAttribute("org.apache.commons.logging.Log", "org.apache.commons.logging.impl.SimpleLog");
        //设置默认日志级别
        LogFactory.getFactory().setAttribute("org.apache.commons.logging.simplelog.defaultlog", "error");
        LogFactory.getFactory().setAttribute("org.apache.http.headers", "error");
        LogFactory.getFactory().setAttribute("rg.apache.http.wire", "error");
    }

}

